# CoopStarter frontend application

This repository is the frontend application of the CoopStarter project.

## Requirements

To be able to run and work on this project, you will need:
- NodeJS
- NPM
- [PUG](https://www.npmjs.com/package/pug)

Disclaimer: PUG could need to be installed globally as root `sudo npm i -g pug` to work properly

## Installation

1. Clone the associated [coopstarter-server](https://git.happy-dev.fr/startinblox/applications/coop-starter/coopstarter-server) repository and follow its installation procedure described in the `README.md`
2. Launch this server and ensure it's running on `127.0.0.1:8000/admin/`
3. Open a new console tab
4. Clone this repository in your preferred location (your workspace)
5. Move to the root of the directory : `cd coopstarter-front`
6. Install all needed dependencies using npm: `npm install`
7. Edit the configuration file located in `./src/` to ensure the `sdn` variable is properly set
8. Build or watch the project: `make build` or `make watch`
9. In a new tab, serve the project using the node server: `make serve`

You should now be able to access the application using your preferred browser on `http://localhost:3000/`
